/*
 * Copyright (c) 2004 Nokia. All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * Redistributions of source code must retain the above copyright
 * notice, this list of conditions and the following disclaimer.
 *
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the
 * distribution.
 *
 * Neither the name of Nokia nor the names of its contributors may be
 * used to endorse or promote products derived from this software
 * without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 * OF THE POSSIBILITY OF SUCH DAMAGE.
 */
#include "WebCoreViewFactory.h"


WebCoreViewFactory* WebCoreViewFactory::m_sharedFactory = 0;


WebCoreViewFactory::WebCoreViewFactory()
{
}

WebCoreViewFactory::~WebCoreViewFactory()
{
}

const GList* WebCoreViewFactory::pluginsInfo()
{
    return 0;
}

void WebCoreViewFactory::refreshPlugins(bool reloadPages)
{
    
}

const gchar* WebCoreViewFactory::inputElementAltText()
{
    return "Input";
}

const gchar* WebCoreViewFactory::resetButtonDefaultLabel()
{
    return "Reset";
}

const gchar* WebCoreViewFactory::searchableIndexIntroduction()
{
    return "This is a searchable index. Enter search keywords:";
} 

const gchar* WebCoreViewFactory::submitButtonDefaultLabel()
{
    return "Submit";
}

const gchar* WebCoreViewFactory::fileButtonDefaultLabel()
{
    return "Browse...";
}

const gchar* WebCoreViewFactory::defaultLanguageCode()
{
    return "en";
}


WebCoreViewFactory* WebCoreViewFactory::sharedFactory()
{
    static WebCoreViewFactory singleton;
    if (!m_sharedFactory) 
	m_sharedFactory = &singleton;

    return m_sharedFactory;
}
